aboutsummaryrefslogtreecommitdiffstats
path: root/testing/speedtest-cli/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'testing/speedtest-cli/APKBUILD')
-rw-r--r--testing/speedtest-cli/APKBUILD31
1 files changed, 31 insertions, 0 deletions
diff --git a/testing/speedtest-cli/APKBUILD b/testing/speedtest-cli/APKBUILD
new file mode 100644
index 0000000000..9aa3ed0fe2
--- /dev/null
+++ b/testing/speedtest-cli/APKBUILD
@@ -0,0 +1,31 @@
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=speedtest-cli
+pkgver=0.3.0
+pkgrel=0
+pkgdesc="Command line interface for testing internet bandwidth using speedtest.net"
+url="https://github.com/sivel/speedtest-cli"
+arch="all"
+license="APACHE2"
+depends="python"
+depends_dev="python-dev py-setuptools"
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="https://github.com/sivel/$pkgname/archive/v$pkgver.zip"
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+ install -Dm755 speedtest_cli.py "$pkgdir"/usr/bin/speedtest-cli
+}
+
+md5sums="4a16c078d23c7cad6ca8892535bda72d v0.3.0.zip"
+sha256sums="03b93e0953a2eab621d7189962af8b162915f721e40dd23b3000eb041b6e8fd4 v0.3.0.zip"
+sha512sums="df88b42148374a6749252d5a63f3b414c3b5236acc962ae159a4b0f6701941512b0bfef0b57ee1f67d9211dab5f29dbb48fc809d91e41d28e9b4c8c32a020014 v0.3.0.zip"